Skip to main content
cancel
Showing results for 
Search instead for 
Did you mean: 

Earn a 50% discount on the DP-600 certification exam by completing the Fabric 30 Days to Learn It challenge.

Reply
aarongiust
Frequent Visitor

Cannot delete from lakehouse table

I am aware of the fact that you have to use a notebook to delete rows from a lakehouse table but every method I have used gives me the same error. I have tried Spark SQL and two methods using Python and they all come back with the following error. What am I doing wrong?

 

Error while decoding: requirement failed: Mismatched minReaderVersion and readerFeatures.

 
Method #1:
aarongiust_0-1703349162161.png

 

Method #2:

aarongiust_1-1703349256249.png

Method #3:

aarongiust_2-1703349351549.png

 

8 REPLIES 8
aarongiust
Frequent Visitor

So it is completely unreadable from a notebook. Very strange because I put a semantic model over top of it and it is able to read it just fine. Not sure what the problem is for Spark, but DAX must read it differently.

 

aarongiust_0-1703393566903.png

 

Hi @aarongiust ,

Can you try the below on your table and then see if it works out?

ALTER TABLE <table-identifier> SET TBLPROPERTIES('delta.minReaderVersion' = '1', 'delta.minWriterVersion' = '2')
 

I get the same error when I run the ALTER statement.

Hi @aarongiust ,

Apologies for the issue you are facing, it require a deeper investigation from our engineering team about your workspace and the logic behind it to properly understand what might be happening. 

Please go ahead and raise a support ticket to reach our support team: support-ticket 
Please provide the ticket number here as we can keep an eye on it.

I submitted ticket #2401030040011861.

Hello @aarongiust ,
We haven’t heard from you on the last response and was just checking back to see if you have a resolution yet .
In case if you have any resolution please do share that same with the community as it can be helpful to others .
Otherwise, will respond back with the more details and we will try to help .

Hi @aarongiust ,

We haven’t heard from you on the last response and was just checking back to see if you have a resolution yet. In case if you have any resolution please do share that same with the community as it can be helpful to others. Otherwise, will respond back with the more details and we will try to help .

govindarajan_d
Solution Supplier
Solution Supplier

Are you able to read data without issue?

 

I believe its a bug in Fabric. There seems to be some corruption in the JSON file within the _delta_log folder of the table. You can try opening the JSON file of this table and another table where you are able to delete data and compare it. 

 

And for fixing this, I think the best approach would be to read the data in spark and write it as a new table in lakehouse and then see if it solves the version error.

Helpful resources

Announcements
RTI Forums Carousel3

New forum boards available in Real-Time Intelligence.

Ask questions in Eventhouse and KQL, Eventstream, and Reflex.

Expanding the Synapse Forums

New forum boards available in Synapse

Ask questions in Data Engineering, Data Science, Data Warehouse and General Discussion.

MayFabricCarousel

Fabric Monthly Update - May 2024

Check out the May 2024 Fabric update to learn about new features.

LearnSurvey

Fabric certifications survey

Certification feedback opportunity for the community.

Top Solution Authors